to build and upload quay to quay:

```
curl -s https://get.docker.io/ubuntu/ | sudo sh
sudo apt-get update
sudo apt-get install -y git
git clone git clone https://bitbucket.org/yackob03/quay.git
cd quay
sudo docker build -t quay.io/quay/quay .
sudo docker push quay.io/quay/quay
```

to prepare a new host:

```
curl -s https://get.docker.io/ubuntu/ | sudo sh
sudo apt-get update
sudo apt-get install -y git
```

start the quay processes:

```
git clone https://bitbucket.org/yackob03/quayconfig.git
sudo docker pull quay.io/quay/quay
sudo mkdir -p /mnt/logs/
sudo docker run -d -p 80:80 -p 443:443 -v /mnt/logs:/mnt/logs -v `pwd`/quayconfig/production:/conf/stack quay.io/quay/quay
```

start the log shipper (DEPRECATED):

```
sudo docker pull quay.io/quay/logstash
sudo docker run -d -e REDIS_PORT_6379_TCP_ADDR=logs.quay.io -v /mnt/logs:/mnt/logs quay.io/quay/logstash quay.conf
```

running the tests:

```
TEST=true python -m unittest discover
```

running the tests with coverage (requires coverage module):

```
TEST=true coverage run -m unittest discover
coverage html
```

generating screenshots:

```
cd screenshots
casperjs screenshots.js --d
```